Bug 433135 - Review Request: anyremote - Bluetooth remote control
Review Request: anyremote - Bluetooth remote control
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 433219 433220
  Show dependency treegraph
 
Reported: 2008-02-16 13:27 EST by anyremote
Modified: 2008-09-05 16:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 14:19:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description anyremote 2008-02-16 13:27:49 EST
Spec URL: 
http://downloads.sourceforge.net/anyremote/anyremote-fedora.spec?use_mirror=osdn
http://downloads.sourceforge.net/anyremote/kanyremote-fedora.spec?use_mirror=osdn
http://downloads.sourceforge.net/anyremote/ganyremote-fedora.spec?use_mirror=osdn

SRPM URL: http://downloads.sourceforge.net/anyremote/anyremote-4.3-1.fc8.src.rpm?use_mirror=osdn
http://downloads.sourceforge.net/anyremote/kanyremote-4.5-1.fc8.src.rpm?use_mirror=osdn
http://downloads.sourceforge.net/anyremote/ganyremote-2.6-1.fc8.src.rpm?use_mirror=osdn

Description: 
The overall goal of this project is to provide remote control service on Linux
through Bluetooth, InfraRed, Wi-Fi or TCP/IP connection.

anyRemote supports wide range of modern cell phones like Nokia, SonyEricsson,
Motorola and others.

anyRemote was developed as thin "communication" layer between Buetooth (IR, Wi-Fi)-capabled phone
and Linux, and in could be configured to manage almost any software.

gAnyRemote and kAnyRemote are GTK and KDE GUI frontends for anyRemote.

This is my first package and i need a sponsor.
Comment 1 Guidolin Francesco 2008-02-16 16:35:03 EST
Hi, this is an informal review, I can't approve your package or sponsor you.

[-] Don't use %define for name and version
[-] Summary should'n end with a dot
[-] Group Applications/Telephony doesn't exist, use one of the groups in 
cat /usr/share/doc/rpm*/GROUPS
[-] Source tag should contain a link to the original tarball:
Source0: http://downloads.sourceforge.net/anyremote/anyremote-4.3.tar.gz
[-] Recommended Buildroot is 
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
[-] Don't require coreutils, binutils, bash, gawk, bc, uucp, bluez-utils, 
bluez-libs, libXtst. 
RPM will find them itself.
[-] Add libdir to configure script:
 ./configure --libdir=%{_libdir} 
Comment 2 Mamoru TASAKA 2008-02-17 13:00:45 EST
First of all, please submit submit one review request for one package.
i.e. for {k,g}anyremote, please submit other review requests and
set bug dependency properly.
Comment 3 anyremote 2008-02-17 13:39:51 EST
OK. Corrected *spec and *src.rpm are here:

Spec URL: 
http://downloads.sourceforge.net/anyremote/anyremote-fedora.spec?use_mirror=osdnSRPM
URL:
http://downloads.sourceforge.net/anyremote/anyremote-4.3-2.fc8.src.rpm?use_mirror=osdn

2 Guidolin Francesco:
I agree with comments (and already corrected tham) except:

> Don't use %define for name and version
Are You serious ? Using of %{name} is clearly specified at
http://fedoraproject.org/wiki/Packaging/Guidelines

> Add libdir to configure script: i do not think it is necessary, since 
i've run configure with --prefix=... and this is implies --libdir=...

> Don't require coreutils, binutils, bash, gawk, bc, uucp
In general this is true. But not in this case, because RPM will _not_ find 
them.



Comment 4 anyremote 2008-02-17 13:49:28 EST
2 Mamoru Tasaka:

Bug 433219: Review Request: ganyremote - GTK frontend for anyremote
Bug 433220: Review Request: kAnyREmote - KDE frontend for anyremote
Comment 5 anyremote 2008-02-17 13:55:01 EST
OK
Comment 6 anyremote 2008-02-17 13:55:15 EST
OK
Comment 7 Guidolin Francesco 2008-02-17 15:47:44 EST
>Are You serious ? Using of %{name} is clearly specified at
>http://fedoraproject.org/wiki/Packaging/Guidelines

Right, but you don't need to write:

%define name anyremote
%define version 4.3
Name: %{name}
Version: %{version}

You can write directly:

Name: anyremote
Version: 4.3

and use %{name} in the rest of the spec file without using %define Name 
and %define Version.
Comment 8 anyremote 2008-02-18 14:09:00 EST
(In reply to comment #7)
> Right, but you don't need to write:
> %define name anyremote
Wow...it works ) 
Thank You for the advice !

Corrected *spec and *src.rpm are here:

Spec URL: 
http://downloads.sourceforge.net/anyremote/anyremote-fedora.spec?use_mirror=osdn

SRPM URL:
http://downloads.sourceforge.net/anyremote/anyremote-4.3-2.fc8.src.rpm?use_mirror=osdn
Comment 9 Mamoru TASAKA 2008-02-24 10:36:23 EST
Well,

* Why do you want to split -data, -doc subpackages although
  anyremote requires those subpackages? 
* Please remove Redundant Requires/BuildRequires
  - Why do you want to write the following Requires?
    coreutils
    binutils (is binutils really needed?)
    bash
    gawk
    bc (is bc really needed?)
    uucp (is uucp really needed?)
  - Requires: bluez-libs should be removed. These library
    dependency should be automatically added to binary rpms
    by rpmbuild.
* Also please remove redundant BuildRequires.
  - gcc
  - glibc-headers
  - make
  (please check "Exceptions" of
   http://fedoraproject.org/wiki/Packaging/Guidelines )
* On the other hands, at least some BuildRequries are missing.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=466056
* Please consider to use %configure (check what %configure does
  by $ rpm --eval %configure)
* Stripping the rebuilt binaries by yourself is forbidden to create
  -debuginfo rpm correctly
* For man files, please use %{_mandir}/
* Please make it sure that all directories created when installing
  a rpm are owned by the rpm.
  For example, the directory %{_datadir}/%{name} is not owned
  by any package.
* Document files should usually be installed under
  %{_defaultdocdir}/%{name}-%{version}, not %{_datadir}/%{name}.
* To make it sure that all installed files are correctly built from
  open source files, we do not allow to install pre-compiled files
  (like .jar files) directly.
  So
  - If .jar files are needed, please rebuild it from sources.
  - Otherwise please don't install .jar files.
Comment 10 anyremote 2008-02-26 15:30:23 EST
(In reply to comment #9)

>* Why do you want to split -data, -doc subpackages ? 
To have possibility release them separately. (for example:
if only -data package was changed)

> Please remove Redundant Requires/BuildRequires
OK. Done except bc. bc is not covered by "exception" list.

> is bc really needed?
Yes

>Also please remove redundant BuildRequires.
OK. Done.

>On the other hands, at least some BuildRequries are missing.
OK. libXtst-devel was added.

>Please consider to use %configure (check what %configure does
OK. Done.

>Stripping the rebuilt binaries by yourself is forbidden to create
OK. Done.

>For man files, please use %{_mandir}/
OK. Done.

>Please make it sure that all directories created when installing
  a rpm are owned by the rpm.
OK. Done.

  
>Document files should usually be installed under
  %{_defaultdocdir}/%{name}-%{version}, not %{_datadir}/%{name}.
OK. %{_datadir}/%{name} changed to %{_defaultdocdir}/%{name}

>To make it sure that all installed files are correctly built from
  open source files, we do not allow to install pre-compiled files
  (like .jar files) directly.
It is written in packaging/Guidlines:
: Some software (usually related to compilers or cross-compiler
: environments) cannot be build without the use of a previous toolchain
: or development environment (open source). If you have a package which meets
: this criteria, contact the Fedora Packaging Committee for approval.
To build *jar i use Sun WTK, which can be considered as "toolchain", but 
it is not open source at all. I need an advice, how it is possible to 
distribute *jar anyway (Livna ?) because without *jar this project will be 
almost unuseful.
Comment 12 Mamoru TASAKA 2008-02-27 01:36:35 EST
(In reply to comment #10)
> (In reply to comment #9)
> >To make it sure that all installed files are correctly built from
>   open source files, we do not allow to install pre-compiled files
>   (like .jar files) directly.
> It is written in packaging/Guidlines:
> : Some software (usually related to compilers or cross-compiler
> : environments) cannot be build without the use of a previous toolchain
> : or development environment (open source). If you have a package which meets
> : this criteria, contact the Fedora Packaging Committee for approval.
> To build *jar i use Sun WTK, which can be considered as "toolchain", but 
> it is not open source at all. I need an advice, how it is possible to 
> distribute *jar anyway (Livna ?) because without *jar this project will be 
> almost unuseful.


Isn't is possible to build jar files in this package by using
java related packages provided by Fedora? As far as I know
most Fedora java packages use ant to rebuild jar files.
Comment 13 anyremote 2008-02-27 08:26:20 EST
> Isn't is possible to build jar files in this package by using
> java related packages provided by Fedora? As far as I know
> most Fedora java packages use ant to rebuild jar files.
No. This *jar is not for J2SE, but for J2ME (midlet, which should be installed
in cell phone). Seems, it is a good question for Fedora Packaging Committee,
since (IMHO) all midlets are depends from Sun WTK or Nokia/Motorola/.... toolkits
(which are not open-source).


Comment 14 Mamoru TASAKA 2008-02-27 08:39:26 EST
Sorry, I am not java specialist and perhaps for now I don't understand
correctly the difference between J2SE/J2ME. But
IMO it is a blocker that the files to be installed cannot be rebuilt
from open source method.


Would you ask Fedora Packaging Committee about this issue?
Comment 15 anyremote 2008-02-27 09:22:30 EST
> Would you ask Fedora Packaging Committee about this issue?
How it could be done ?
Comment 16 Mamoru TASAKA 2008-02-27 12:38:27 EST
(In reply to comment #15)
> > Would you ask Fedora Packaging Committee about this issue?
> How it could be done ?
> 

Please check:
http://www.redhat.com/mailman/listinfo/fedora-packaging

Post a mail to fedora-packaging@redhat.com , however in advance
it is better that you subscribe to the list.
Comment 17 anyremote 2008-03-03 07:30:05 EST
(In reply to comment #16)

From post to fedora-packaging:
>> So, is it ever possible to package J2ME midlet for Fedora ?
>Nicolas Mailhot:
>If your stack is not 100% FLOSS you need to incubate at JPackage (or
>any other third-party repo) till  legal problems are fixed and you can
>be accepted @fedora
Well, i'm going to remove *jar from anyremote package and distribute 
non-FLOSS part somethere else.
Comment 18 Mamoru TASAKA 2008-03-04 01:23:42 EST
(In reply to comment #17)
> Well, i'm going to remove *jar from anyremote package and distribute 
> non-FLOSS part somethere else.
> 

Okay, then I will waiting for you to package FLOSS part. If you
want to package .jar files, I guess you can ask livna people.
Comment 20 Mamoru TASAKA 2008-03-07 09:11:57 EST
* Source tarball
  - all source files in srpm should have 0644 permission.

* Source tarball
--------------------------------------------------------
1299641 2008-02-18 01:36 anyremote-4.3-2.fc8/anyremote-4.3.tar.gz
 933091 2008-03-05 03:57 anyremote-4.3-4.fc8/anyremote-4.3.tar.gz
1299122 2008-02-27 05:18 anyremote-4.3.tar.gz
--------------------------------------------------------
  - Source tarball changed.
    * If anyremove 4.3 is already published formally, don't use modified
      tarball and use the tarball we can actually download from URL
      written as Source0
    * Or can we assume that 4.3 is not formally pushed yet? (it seems
      you are the upstream developmer)

* Spec file name
  - must be "anyremote.spec", not "anyremote-fedora.spec".

* Dependency between subpackages
  - Dependency between subpackages usually must be EVR (Epoch:Version:Release)
    specific. i.e. usually "Requires: %{name}-data = %{name}-%{version}".

* CFLAGS
----------------------------------------------------------
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"
----------------------------------------------------------
  - Check if this "CFLAGS=..." part really needed.
    (please check what %configure does by
     $ rpm --eval %configure again) This is usually not needed.

* Docdir
  - Usually we use %{_defaultdocdir}/%{name}-%{version}
    (not %{_defaultdocdir}/%{name}) for directory to install documents.
    Perhaps you want to remove all files under
    $RPM_BUILD_ROOT%{_defaultdocdir}/%{name} and just use %doc macro.

! * %changelog
  - By the way, we usually write %changelog at the last.
Comment 21 anyremote 2008-03-07 15:58:20 EST
(In reply to comment #20)

>   - all source files in srpm should have 0644 permission.
Umm... Checked. Which files do You mean ?

>     * Or can we assume that 4.3 is not formally pushed yet? 
Actually i'm releasing v4.4 right now.

>   - must be "anyremote.spec", not "anyremote-fedora.spec".
Done.

> * Dependency between subpackages
>     specific. i.e. usually "Requires: %{name}-data = %{name}-%{version}".
I separated package to "...-doc" and "...-data" intentionally to have
possibility to releasethem separately. So, actually "=" is not only possibly
variant.

>   - Check if this "CFLAGS=..." part really needed.
Done.

>   - Usually we use %{_defaultdocdir}/%{name}-%{version}
>     (not %{_defaultdocdir}/%{name}) for directory to install documents.
Documentation is not changed significantly beetwen releases. Also, as i wrote 
above it is possible to release "...-doc" subpackage separately, so it seems to
me there is no needs to specify it.

>   - By the way, we usually write %changelog at the last.
Done.
Comment 23 Mamoru TASAKA 2008-03-11 13:19:50 EDT
Well, where is Source0? (or you have not released 4.4 tarball yet?)
Comment 24 anyremote 2008-03-11 14:13:01 EDT
(In reply to comment #23)
> Well, where is Source0? (or you have not released 4.4 tarball yet?)
Ooops... I'm very sorry for inconvenience.
File already uploaded. 


Comment 25 Mamoru TASAKA 2008-03-11 14:32:22 EDT
Well, one question:

Why do you ship pre-compiled objects or binaries like XXXX.o
or anyremote in the tarball?
Comment 26 anyremote 2008-03-11 15:42:01 EDT
(In reply to comment #25)
Oops... seems this is one more error i have to fix :-)
Comment 27 anyremote 2008-03-11 16:05:01 EDT
(In reply to comment #25)
Fixed.
Comment 28 Mamoru TASAKA 2008-03-12 14:34:32 EDT
Okay.

- This package itself is okay.
- As written on
  http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
  a NEEDSPONSOR submitter are requested to either pre-review other
  persons' review requests or submit another review request with
  quality.
  For your case, you have already submitted some other review requests
  and I expect they will be accepted with some more fixes.

--------------------------------------------------------------------------
         This package (anyremote) is APPROVED by me
--------------------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor. At the stage, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 7/8, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 29 anyremote 2008-03-13 16:56:23 EDT
(In reply to comment #28)
> http://fedoraproject.org/wiki/PackageMaintainers/Join
Umm... it seems to me something were changed in FAS.
At least link https://admin.fedoraproject.org/accounts/userbox.cgi does not
works for me. But i registered anyway. FAS name is "anyremote".

> At a point a mail should be sent to sponsor members which notifies
> that you need a sponsor. 
Sorry, how i can do that ?

> At the stage, please also write on
> this bug for confirmation that you requested for sponsorship and
> your FAS (Fedora Account System) name.
Yes, i requested for sponsorship. My FAS name is "anyremote"
Comment 30 Mamoru TASAKA 2008-03-14 02:29:03 EDT
(In reply to comment #29)
> (In reply to comment #28)
> > http://fedoraproject.org/wiki/PackageMaintainers/Join
> Umm... it seems to me something were changed in FAS.
  Yes, FAS sysadmins are moving FAS to new one...

> At least link https://admin.fedoraproject.org/accounts/userbox.cgi does not
> works for me. But i registered anyway. FAS name is "anyremote".


> > At a point a mail should be sent to sponsor members which notifies
> > that you need a sponsor. 
> Sorry, how i can do that ?
  This is automated (and I actually received the mail).

> > At the stage, please also write on
> > this bug for confirmation that you requested for sponsorship and
> > your FAS (Fedora Account System) name.
> Yes, i requested for sponsorship. My FAS name is "anyremote"


Umm.. For now it seems FAS2 is out of operation. Please wait
until the problem is solved by sysadmin.
Comment 31 anyremote 2008-03-14 05:38:18 EDT
(In reply to comment #28)
> - As written on
>   http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
>   a NEEDSPONSOR submitter are requested to either pre-review other
>   persons' review requests or submit another review request with
>   quality.
>   For your case, you have already submitted some other review requests
>   and I expect they will be accepted with some more fixes.
Sorry, i'm not sure what i'm understand this correctly ... 
Should i do review/approval for 433219 and 433220 by myself ?
Comment 32 Mamoru TASAKA 2008-03-14 05:56:06 EDT
(In reply to comment #31)
> (In reply to comment #28)
> > - As written on
> >   http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
> >   a NEEDSPONSOR submitter are requested to either pre-review other
> >   persons' review requests or submit another review request with
> >   quality.
> >   For your case, you have already submitted some other review requests
> >   and I expect they will be accepted with some more fixes.
> Sorry, i'm not sure what i'm understand this correctly ... 
> Should i do review/approval for 433219 and 433220 by myself ?

No, like this they must be reviewed and accepted by someone else.
The difference is that once you are sponsored, they can be
reviewed by non-sponsor members (but still you cannot review your own
review requests)
Comment 33 anyremote 2008-03-14 10:43:47 EDT
>Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> has sponsored you for
>membership in the cvsextras
Despite of this my status in cvsextras still Unapproved
(i'm waiting for several hours already)
Comment 34 Mamoru TASAKA 2008-03-14 12:40:04 EDT
I am retrying several times, however I meet with Internal error.
If FAS2 still breaks even after I wait for one day more, I will
mail to FAS2 sysadmin _again_.
Comment 35 Rex Dieter 2008-03-14 13:58:44 EDT
or ping folks on freenode, #fedora-admin
Comment 36 Mamoru TASAKA 2008-03-15 00:41:22 EDT
Now it seems okay. Please follow "Join" wiki again.
Comment 37 anyremote 2008-03-17 06:19:28 EDT
(In reply to comment #36)

Thank You, now my status in cvsextras is Approved.
But if i try to set "?" in fedora-cvs i've got:
>Flag Modification Denied
>You tried to request fedora-cvs. Only an authorized user can make this change. 
Umm... Did i miss somthing in configuration phase ?
Comment 38 Mamoru TASAKA 2008-03-17 07:02:58 EDT
Would you mail to accounts_AT_fedoraproject.org 
with your FAS name?
Comment 39 anyremote 2008-03-17 07:51:07 EDT
(In reply to comment #38)
> Would you mail to accounts_AT_fedoraproject.org 
Thank You for advice!

Comment 40 Toshio Kuratomi 2008-03-19 17:12:49 EDT
anyremote:  Please try set fedora-cvs now.  I've updated your account manually.
 If it doesn't work, you could also have problems responding to bugs and such so
it's good to test this now and make sure it's all working.
Comment 41 Toshio Kuratomi 2008-03-19 19:49:14 EDT
Sorry.  I meant to leave fedora-cvs unset so you could check that it works for you.
Comment 42 anyremote 2008-03-20 05:18:15 EDT
(In reply to comment #41)
Thank You it works now

Comment 43 Mamoru TASAKA 2008-03-20 06:35:26 EDT
Please write CVS request here written on
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
as well as setting fedora-cvs flag.
Comment 44 anyremote 2008-03-20 07:47:02 EDT
New Package CVS Request
=======================
Package Name: anyremote
Short Description: bluetooth remote control
Owners: anyremote
Branches: F-8
InitialCC: anyremote
Cvsextras Commits: yes
Comment 45 Kevin Fenzi 2008-03-20 12:10:08 EDT
cvs done.
Comment 46 anyremote 2008-03-24 08:16:57 EDT
Hi,

Now i have the following problem:

./common/cvs-import.sh /_path_to_/anyremote-.....src.rpm
...
ERROR: could not check remote file status
make: *** [upload] Error 255
...

I changed ~/fedora.cert (how it was written on
http://fedoraproject.org/wiki/PackageMaintainers/UsingCvsFaq) 
several times with no luck.
I've wrote a letter to Kevin Fenzi, which created CVS for anyremote, but get no
answer.

So, i have no idea how to overcome tghis issue.
Comment 47 Mamoru TASAKA 2008-03-24 08:25:24 EDT
(In reply to comment #46)

> I changed ~/fedora.cert (how it was written on
> http://fedoraproject.org/wiki/PackageMaintainers/UsingCvsFaq) 
> several times with no luck.

not ~/fedora.cert but ~/.fedora.cert .
Then follow "Join" wiki again. Especially you have to
setup client tools as:
http://fedoraproject.org/wiki/PackageMaintainers/UsingKoji
Comment 48 anyremote 2008-03-24 09:05:25 EDT
(In reply to comment #47)
Oops...sorry. It was just a misprinting. I forget a dot.
Of cource i've modified ~/.fedora.cert
Comment 49 Mamoru TASAKA 2008-03-24 09:38:31 EDT
> (In reply to comment #47)
> Oops...sorry. It was just a misprinting. I forget a dot.
> Of cource i've modified ~/.fedora.cert

What did you mean by "you have modified"? You have to re-download
.fedora.cert if you want, and perhaps you have re-run 
fedora-packager-setup.sh .
Comment 50 anyremote 2008-03-24 09:47:34 EDT
(In reply to comment #49)
I ve uploaded new ~/.fedora.cert, then rerun 
./common/cvs-import.sh /_path_to_/anyremote-.....src.rpm

Comment 51 Mamoru TASAKA 2008-03-31 09:29:08 EDT
Are you still seeing some trouble?
Comment 52 anyremote 2008-04-08 03:46:17 EDT
Sorry for late responce. I was on vacation. 
I'm going to re-read updated fedora wiki docs and try again.
Comment 53 anyremote 2008-04-08 04:02:46 EDT
I've done "fedora-cvs anyremote"

Then as it written at:
http://fedoraproject.org/wiki/PackageMaintainers/Anatomy

----------------------
make sources
make: *** No rule to make target `sources'.  Stop.
----------------------

Umm... Do i need at all to have sources in package directory ?
Comment 54 anyremote 2008-04-08 04:07:00 EDT
Oops, sorry. I have to descend to devel/ before run make sources
Comment 55 Mamoru TASAKA 2008-04-08 06:32:53 EDT
Please also rebuild this on F-8. After that, visit
https://admin.fedoraproject.org/updates/ and request to push your F-8 packages
to the repository.
Comment 56 anyremote 2008-04-08 10:53:21 EDT
(In reply to comment #55)

Umm... Something going wrong here
---------------------------------------
cd anyremote/F-8
make tag
rpmq: no arguments given for query
rpmq: no arguments given for query
---------------------------------------
Comment 57 Mamoru TASAKA 2008-04-08 11:03:48 EDT
First upload tarball and spec file as same as devel/ directory.
http://fedoraproject.org/wiki/PackageMaintainers/UpdatingPackageHowTo
Comment 58 anyremote 2008-04-09 02:00:23 EDT
(In reply to comment #57)
> First upload tarball and spec file as same as devel/ directory.

I did:
./common/cvs-import.sh -b 
FC-8 /path/to/anyremote-4.4-1.fc8.src.rpm

but nothing changed.
Comment 59 anyremote 2008-04-09 02:01:45 EDT
Sorry, typo. 
I did:

./common/cvs-import.sh -b 
F-8 /path/to/anyremote-4.4-1.fc8.src.rpm

but nothing changed.
Comment 60 anyremote 2008-04-09 02:04:31 EDT
Finally, seems it works.
I had to do "cvs co" before "make tag"
Comment 61 Mamoru TASAKA 2008-04-09 02:18:25 EDT
Okay, then please visit https://admin.fedoraproject.org/updates/ 
and request F-8 anyremote package to push.

For new packages the "Type" is "enhancement". If you want to push
your package to fedora updates repository directory (i.e. you want to
skip to push your package to "testing" repositofy), change "Request" to
"stable".

After you request to push on bodhi, please close this bug as "NEXTRELEASE".
Comment 62 Mamoru TASAKA 2008-04-09 02:19:56 EDT
s/directory/directly/ ...
Comment 63 anyremote 2008-04-09 15:04:35 EDT
OK. But how can "close this bug as "NEXTRELEASE"" ?
I've read http://fedoraproject.org/wiki/PackageMaintainers/Join:

>Close the Bugzilla ticket when the package has been built successfully. 
>Remember the Bugzilla ticket for your review? You should close it as 
>NEXTRELEASE.
But did not found status "CLOSED". 


Comment 64 Mamoru TASAKA 2008-04-09 15:38:37 EDT
Mark "Resolve bug" in this bug report (below) and select
"changing resolution to" as "NEXTRELEASE"
Comment 65 anyremote 2008-04-14 02:56:36 EDT
Well, but i still did not see anyremote RPM's on Fedora download area.
Is it needs to do something else ?
Comment 66 Mamoru TASAKA 2008-04-14 10:39:55 EDT
I have to say that recently the cycle of releasing updates package is
very slow :( (i.e. it is not because of you)

If you want you can change the "Request" type from "testing" to "stable"
(I usually request to push directly to stable repository)
Comment 67 anyremote 2008-04-23 12:08:40 EDT
At this moment i able to find anyremote packages only in:
.../updates/testing/8

So, what do i need to:
1. push anyremote package from updates/testing/8 to updates/8 ?
2. push anyremote to Fedora 9 ?
Comment 68 Mamoru TASAKA 2008-04-23 12:22:46 EDT
(In reply to comment #67)
> At this moment i able to find anyremote packages only in:
> .../updates/testing/8
> 
> So, what do i need to:
> 1. push anyremote package from updates/testing/8 to updates/8 ?

For me you seem to have requested to do so, so please just wait.

> 2. push anyremote to Fedora 9 ?
This is not needed. anyremote will be pushed to F-9.

Comment 69 anyremote 2008-05-17 08:16:36 EDT
What does it mean ?
-------------------------------------
anyremote has broken dependencies in the development tree:
On ppc:
        anyremote-data-4.4-1.fc8.ppc requires /usr/bin/env
On x86_64:
        anyremote-data-4.4-1.fc8.x86_64 requires /usr/bin/env
On i386:
        anyremote-data-4.4-1.fc8.i386 requires /usr/bin/env
On ppc64:
        anyremote-data-4.4-1.fc8.ppc64 requires /usr/bin/env
Please resolve this as soon as possible.
---------------------------

rpm -qf /usr/bin/env
coreutils*
Comment 71 anyremote 2008-09-05 16:26:43 EDT
Now i have the following problem:
cvs co anyremote
Permission denied (publickey)

I have a new FAS password, all certs updated, I even checked the cvs
procedures for newbies, but I had no luck. What am I doing
wrong?

Note You need to log in before you can comment on or make changes to this bug.